# Interface TextChunk

public interface TextChunk
Common interface to all PNG text chunk data (`tEXt`, `zTXt`, `iTXt`).

See Also:
  - `PngImage.getTextChunk(String)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKeyword()`
Returns the Latin-1 (ISO-8859-1) encoded keyword of this TextChunk.
`String`
`getLanguage()`
Returns the language (RFC-1766) used by the translated keyword and the text, or null if unspecified.
`String`
`getText()`
Returns the text of this TextChunk.
`String`
`getTranslatedKeyword()`
Returns a translation of the keyword into the language used by this TextChunk, or null if unspecified.
`int`
`getType()`
Returns the type of this TextChunk.

## Method Details

### getKeyword

String getKeyword()
Returns the Latin-1 (ISO-8859-1) encoded keyword of this TextChunk.

### getTranslatedKeyword

String getTranslatedKeyword()
Returns a translation of the keyword into the language used by this TextChunk, or null if unspecified.

### getLanguage

String getLanguage()
Returns the language (RFC-1766) used by the translated keyword and the text, or null if unspecified.

### getText

String getText()
Returns the text of this TextChunk.

### getType

int getType()
Returns the type of this TextChunk.

Returns:
  `PngConstants.tEXt`,
  `PngConstants.zTXt`,
  or `PngConstants.iTXt`